Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder

Enclosing class:
  PublicKeyCredentialRequestOptions

public static final class PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder extends Object
Used to build a `PublicKeyCredentialCreationOptions`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`allowCredentials(List<PublicKeyCredentialDescriptor> allowCredentials)`
Sets the `PublicKeyCredentialRequestOptions.getAllowCredentials()` property
`PublicKeyCredentialRequestOptions`
`build()`
Builds a new `PublicKeyCredentialRequestOptions`
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`challenge(Bytes challenge)`
Sets the `PublicKeyCredentialRequestOptions.getChallenge()` property.
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`customize(Consumer<PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder> customizer)`
Allows customizing the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`extensions(AuthenticationExtensionsClientInputs extensions)`
Sets the `PublicKeyCredentialRequestOptions.getExtensions()` property
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`rpId(String rpId)`
Sets the `PublicKeyCredentialRequestOptions.getRpId()` property.
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`timeout(Duration timeout)`
Sets the `PublicKeyCredentialRequestOptions.getTimeout()` property.
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`userVerification(UserVerificationRequirement userVerification)`
Sets the `PublicKeyCredentialRequestOptions.getUserVerification()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### challenge

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder challenge(Bytes challenge)
Sets the `PublicKeyCredentialRequestOptions.getChallenge()` property.

Parameters:
  `challenge` - the challenge
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### timeout

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder timeout(Duration timeout)
Sets the `PublicKeyCredentialRequestOptions.getTimeout()` property.

Parameters:
  `timeout` - the timeout
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### rpId

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder rpId(String rpId)
Sets the `PublicKeyCredentialRequestOptions.getRpId()` property.

Parameters:
  `rpId` - the rpId property
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### allowCredentials

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder allowCredentials(List<PublicKeyCredentialDescriptor> allowCredentials)
Sets the `PublicKeyCredentialRequestOptions.getAllowCredentials()` property

Parameters:
  `allowCredentials` - the allowed credentials
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### userVerification

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder userVerification(UserVerificationRequirement userVerification)
Sets the `PublicKeyCredentialRequestOptions.getUserVerification()` property.

Parameters:
  `userVerification` - the user verification
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### extensions

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder extensions(AuthenticationExtensionsClientInputs extensions)
Sets the `PublicKeyCredentialRequestOptions.getExtensions()` property

Parameters:
  `extensions` - the extensions
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### customize

public PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder customize(Consumer<PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder> customizer)
Allows customizing the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

Parameters:
  `customizer` - the `Consumer` used to customize the builder
Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

### build

public PublicKeyCredentialRequestOptions build()
Builds a new `PublicKeyCredentialRequestOptions`

Returns:
  a new `PublicKeyCredentialRequestOptions`